SphinxClient::setMaxQueryTime
SphinxClient::setRetries
SphinxClient
PHP Manual

# SphinxClient::setRankingMode

(No version information available, might be only in CVS)

SphinxClient::setRankingMode — Set ranking mode

### Description

public bool SphinxClient::setRankingMode ( int `$ranker` )

Sets ranking mode. Only available in `SPH_MATCH_EXTENDED2` matching mode.

Ranking modes
Constant | Description
--- | ---
SPH_RANK_PROXIMITY_BM25 | Default ranking mode which uses both proximity and BM25 ranking.
SPH_RANK_BM25 | Statistical ranking mode which uses BM25 ranking only (similar to most of other full-text engines). This mode is faster, but may result in worse quality on queries which contain more than 1 keyword.
SPH_RANK_NONE | Disables ranking. This mode is the fastest. It is essentially equivalent to boolean searching, a weight of 1 is assigned to all matches.

### Parameters

`ranker`

  Ranking mode.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- SphinxClient::setMatchMode

SphinxClient::setMaxQueryTime
SphinxClient::setRetries
SphinxClient
PHP Manual